Package org.bgerp.model.process.link.config

# Class ProcessCreateLinkConfig

java.lang.Object
org.bgerp.app.cfg.Config
org.bgerp.model.process.link.config.ProcessCreateLinkConfig

public class ProcessCreateLinkConfig extends Config

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.bgerp.app.cfg.Config

  `Config.InitStopException`

- ## Field Summary

  ### Fields inherited from class org.bgerp.app.cfg.Config

  `EMPTY, log`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProcessCreateLinkConfig(ConfigMap config)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Pair<ProcessCreateLinkItem,Boolean>`
  `getItem(DynActionForm form, Connection con, Process process, int id)`
  Pair of an process creation item and it's enabling state.
  `List<Pair<ProcessCreateLinkItem,Boolean>>`
  `getItemList(DynActionForm form, Connection con, Process process)`
  List of pairs with process creation item on first places and item enable state of seconds.

  ### Methods inherited from class org.bgerp.app.cfg.Config

  `initWhen, throwValidationException`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProcessCreateLinkConfig

    public ProcessCreateLinkConfig(ConfigMap config)

- ## Method Details

  - ### getItemList

    public List<Pair<ProcessCreateLinkItem,Boolean>> getItemList(DynActionForm form, Connection con, Process process)
    List of pairs with process creation item on first places and item enable state of seconds.
    Parameters:
      `form` - context form.
      `con` - context connection.
      `process` - context process.
    Returns:

  - ### getItem

    public Pair<ProcessCreateLinkItem,Boolean> getItem(DynActionForm form, Connection con, Process process, int id)
    Pair of an process creation item and it's enabling state.
    Parameters:
      `form` - context form.
      `con` - context connection.
      `process` - context process.
      `id` - item ID.
    Returns: